Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content
Class RulesContentQuery

    java.lang.Object
      |
      +--com.bea.p13n.content.ContentQueryBase
            |
            +--com.bea.p13n.content.RulesContentQuery

public class RulesContentQuery
extends ContentQueryBase

A utility class to construct a content query string expression from a ContentQueryNode from the rules engine.

See Also:
  `ExpressionHelper`

Fields inherited from class com.bea.p13n.content.ContentQueryBase
`collectionContentQueriesAllowed, dateFormat, dateFormatStr, TYPE_BOOLEAN, TYPE_DATE, TYPE_DOUBLE, TYPE_LONG, TYPE_STRING`

Constructor Summary
`RulesContentQuery(PropertyProvider pp)` Constructor.

Method Summary
`java.lang.String` | `createExpression(ContentQueryNode root)` Return a String representing the content expression specified in the ContentQueryNode.
`Expression` | `createExpressionTree(ContentQueryNode root)` Return the content Expression representing the content expression specified in the ContentQueryNode.

Methods inherited from class com.bea.p13n.content.ContentQueryBase
`getISO8601Date, getLogic, getOperator, getType, getValueAsType, isCollectionContentQueriesAllowed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RulesContentQuery

    public RulesContentQuery(PropertyProvider pp)

  Constructor.

  Parameters:
    `pp` - the PropertyProvider to use to provider user/request/session properties.

Method Detail

### createExpressionTree

    public Expression createExpressionTree(ContentQueryNode root)
                                    throws java.lang.IllegalArgumentException

  Return the content Expression representing the content expression specified in the ContentQueryNode.

  Parameters:
    `root` - The top of the ContentQueryNode tree.
  Returns:
    a string representing the query.
  Throws:
    IllegalArgument - if the content of the passed in XML tree is invalid

### createExpression

    public java.lang.String createExpression(ContentQueryNode root)
                                      throws java.lang.IllegalArgumentException

  Return a String representing the content expression specified in the ContentQueryNode.

  Parameters:
    `root` - The top of the ContentQueryNode tree.
  Returns:
    a string representing the query.
  Throws:
    IllegalArgument - if the content of the passed in XML tree is invalid

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved